> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequency.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Get timing modifier for entry window

> Get the position size timing modifier based on time of day.

## Timing Windows (v3.1 spec)

- **10:30-11:30 ET**: Optimal window (modifier: 1.0)
- **09:30-09:45 ET**: Avoid first 15 minutes (modifier: 0.0)
- **12:00-14:00 ET**: Lunch chop (modifier: 0.5)
- **15:30-16:00 ET**: Avoid last 30 minutes (modifier: 0.0)

## Usage

Call without parameters to get current time modifier, or pass
a specific time to check modifier for that time.

## Performance Target

<50ms response time.



## OpenAPI

````yaml /api/openapi.json get /api/graph/v1/entry/timing-modifier
openapi: 3.1.0
info:
  title: Sequency Graph API
  description: >

    # Sequency Graph-Native Trading API


    Graph-native API for trading intelligence, built on FalkorDB.


    ## Features


    - **Screener**: Filter stocks using graph-native queries with relationship
    expansion

    - **Stock Detail**: Complete stock context with all relationships

    - **Confluence Scoring**: Setup quality assessment with weighted components

    - **Strategy Matching**: Find matching options strategies via graph
    traversal

    - **Market Context**: Current market-wide context for trading decisions


    ## Data Sources


    All data is sourced from the FalkorDB knowledge graph, populated by:

    - Pattern detector (Go) - Technical indicators, patterns

    - Graph sync service - Levels, volume profiles, news, day classification
  version: 1.0.0
servers: []
security: []
paths:
  /api/graph/v1/entry/timing-modifier:
    get:
      tags:
        - Entry Signals
      summary: Get timing modifier for entry window
      description: |-
        Get the position size timing modifier based on time of day.

        ## Timing Windows (v3.1 spec)

        - **10:30-11:30 ET**: Optimal window (modifier: 1.0)
        - **09:30-09:45 ET**: Avoid first 15 minutes (modifier: 0.0)
        - **12:00-14:00 ET**: Lunch chop (modifier: 0.5)
        - **15:30-16:00 ET**: Avoid last 30 minutes (modifier: 0.0)

        ## Usage

        Call without parameters to get current time modifier, or pass
        a specific time to check modifier for that time.

        ## Performance Target

        <50ms response time.
      operationId: get_timing_modifier_api_graph_v1_entry_timing_modifier_get
      parameters:
        - name: check_time
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                pattern: ^\d{2}:\d{2}:\d{2}$
              - type: 'null'
            description: 'Time to check in HH:MM:SS format (default: current time)'
            title: Check Time
          description: 'Time to check in HH:MM:SS format (default: current time)'
      responses:
        '200':
          description: Timing modifier
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimingModifierResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TimingModifierResponse:
      properties:
        modifier:
          type: number
          maximum: 1
          minimum: 0
          title: Modifier
        check_time:
          anyOf:
            - type: string
            - type: 'null'
          title: Check Time
          description: Time that was checked (HH:MM:SS format)
        window_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Window Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      required:
        - modifier
      title: TimingModifierResponse
      description: Response for timing modifier lookup.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````